from django.conf.urls import url

from . import views

app_name = 'elasticity'
urlpatterns = [
	url(r'^$', views.IndexView.as_view(template_name = 'elasticity/elasticity_list.html'), name='elasticity_index'),    
        url(r'^(?P<elasticity_id>[0-9]+)/$', views.update, name='detail'),
	url(r'^(?P<elasticity_id>[0-9]+)/delete/$', views.delete, name='delete'),
	url(r'^(?P<elasticity_id>[0-9]+)/update/$', views.update, name='update'),
	url(r'^(?P<elasticity_id>[0-9]+)/start/$', views.start, name='start'),
	url(r'^(?P<elasticity_id>[0-9]+)/stop/$', views.stop, name='stop'),
	url(r'create/$', views.create, name='create'),
]
