from django.conf.urls import url
from monitoring import views

app_name = 'monitoring'
urlpatterns = [
    url(r'^$', views.diagrams, name="diagrams"),
    url(r'^(?P<elasticity_id>[0-9]+)/stats/$', views.stats, name='stats'),
    url(r'^(?P<elasticity_id>[0-9]+)/stats_lat_vms_load/$', views.stats_lat_vms_load, name='stats_lat_vms_load'),

]
